Subject: bug#74056: `LaTeX-insert-item' inserts comment characters if called from inside comment

From: Arash Esbati <[email-masked]>
Date: Tue, 29 Oct 2024 11:19:41 +0100

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> To developers: I propose to change the default value of
> `LaTeX-insert-into-comments' to nil. What do you think about it? It is
> set to t in docTeX mode anyway.

What do think about adding ":safe #'booleanp" to the `defcustom'?  That
way, people can set the global value via customize and change the
behavior on per file basis.

> I'd like to confirm your intention. It seems that you are saying that
> "When I type M-RET in a line with only whitespace charactares, the \item
> shoule be placeed in that line, not the line created anew below that
> line." If so, I think it is a reasonable request.

+1

Best, Arash